Bug 258659 - String literal and RegEx literal
String literal and RegEx literal
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Petr Pisl
issues@javascript
ecma6
:
Depends on:
Blocks: 242387
  Show dependency treegraph
 
Reported: 2016-04-05 13:13 UTC by Petr Pisl
Modified: 2016-04-13 14:09 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Code Completion for String Literals (141.23 KB, image/png)
2016-04-13 14:07 UTC, Petr Pisl
Details
Code Completion for RegExp Literals (140.87 KB, image/png)
2016-04-13 14:08 UTC, Petr Pisl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2016-04-05 13:13:17 UTC
There should be code completion after string literal and should offer fields and methods of String object.

Example:
"string".upperCase()
Comment 1 Petr Pisl 2016-04-06 11:37:03 UTC
The same should be applied for regex literals.
Comment 2 Petr Pisl 2016-04-13 14:07:02 UTC
Created attachment 159252 [details]
Code Completion for String Literals

Now NetBeans offers code completion after a string literal. It offers nonstatic fields and methods from String object. 

Also the signature file is updated to fit ECMAScript 6 specification. Some methods marked as deprecated, some added.
Comment 3 Petr Pisl 2016-04-13 14:08:38 UTC
Created attachment 159253 [details]
Code Completion for RegExp Literals

NetBeans are able to offers public nonstatic fields and methods of RegExp object for regexp literals. 

Also the runtime signature file for RegExp object was updated to fit ECMAScript 6 specification.
Comment 4 Petr Pisl 2016-04-13 14:09:09 UTC
Done in ecma6-truffel branch.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo